<xsl:stylesheet 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
<html>
    <head style="font-family:areal"><b><u>ENERGY ACCOUNT REPORT</u></b></head>
      <body style="font-family:areal; color:black; background:lightblue; text-align:center">
        <h2><table border="1"  width="100%" align="center">
          	<tr >
	            	<th><b>Document Identification</b></th>
			<th><b>Version</b></th>
            		<th><b>Date and Time</b></th>
              	<th><b>Document Type</b></th>
              	<th><b>Status</b></th>
        	</tr>
              <td align="center" ><xsl:value-of select="EnergyAccountReport/DocumentIdentification/@v"/></td>
               <td align="center"><xsl:value-of select="EnergyAccountReport/DocumentVersion/@v"/></td>                
               <td align="center"><xsl:value-of select="EnergyAccountReport/DocumentDateTime/@v"/></td>
			<td align="center"> 
			<xsl:choose>
		 <xsl:when test="EnergyAccountReport/DocumentType[@v='A01']">Balance Responsible Schedule
             </xsl:when> 
		<xsl:when test="EnergyAccountReport/DocumentType[@v='A02']">
               Intra Day Schedule
             </xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A03']">Capacity Allocation Schedule</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A04']">Control area schedule</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A05']">Control block area schedule</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A06']">Coordination center area Schedule</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A07']">Intermediate confirmation report</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A08']">Final confirmation report</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A09']">Finalised schedule</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A10']">Regulation data report</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A11']">Aggregated energy data</xsl:when>
 		<xsl:when test="EnergyAccountReport/DocumentType[@v='A12']">Imbalance report</xsl:when>
		<xsl:otherwise>
			<font color="red"><b>INVALID Document TYPE = </b> <xsl:value-of select="EnergyAccountReport/DocumentType/@v"/></font>
		</xsl:otherwise>
           </xsl:choose> 
</td>
			<td align="center"> 
			<xsl:choose>
		 <xsl:when test="EnergyAccountReport/DocumentStatus[@v='A01']">Intermediate </xsl:when> 
		<xsl:when test="EnergyAccountReport/DocumentStatus[@v='A02']">
             Final
             </xsl:when>
		<xsl:otherwise>
			<font color="red"><b>INVALID Document TYPE = </b> <xsl:value-of select="EnergyAccountReport/DocumentType/@v"/></font>
		</xsl:otherwise>
           </xsl:choose> 
</td>
		</table>
        </h2>
	
        <table border="1" width="100%" align="center">
          	<tr >
	            	<th width="20%">Sender</th>
			<th width="10%">Role</th>
            		<th width="20%">Receiver</th>
			<th width="10%">Role</th>
           		 <th width="20%">Accounting Period</th>
             		 <th width="20%">Domain</th>
        	</tr>
          <tr>
            	<td align="center"><xsl:value-of select="EnergyAccountReport/SenderIdentification/@v"/></td>
            	<td align="center">
           <xsl:choose>
		 <xsl:when test="EnergyAccountReport/SenderRole[@v='A01']">TRP</xsl:when> 
	 	<xsl:when test="EnergyAccountReport/SenderRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="EnergyAccountReport/SenderRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="EnergyAccountReport/SenderRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="EnergyAccountReport/SenderRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="EnergyAccountReport/SenderRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="EnergyAccountReport/SenderRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="EnergyAccountReport/SenderRole[@v='A08']">RS</xsl:when>
 		<xsl:when test="EnergyAccountReport/SenderRole[@v='A09']">MDA</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="EnergyAccountReport/SenderRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose> 
            </td>
		<td align="center"><xsl:value-of select="EnergyAccountReport/ReceiverIdentification/@v"/></td>
            <td align="center">
           <xsl:choose>
		 <xsl:when test="EnergyAccountReport/ReceiverRole[@v='A01']">TRP</xsl:when> 
	 	<xsl:when test="EnergyAccountReport/ReceiverRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="EnergyAccountReport/ReceiverRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="EnergyAccountReport/ReceiverRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="EnergyAccountReport/ReceiverRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="EnergyAccountReport/ReceiverRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="EnergyAccountReport/ReceiverRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="EnergyAccountReport/ReceiverRole[@v='A08']">BRP</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="EnergyAccountReport/ReceiverRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose>
		</td>
            <td align="center"><xsl:value-of select="EnergyAccountReport/AccountingPeriod/@v"/></td>
             <td align="center"><xsl:value-of select="EnergyAccountReport/Domain/@v"/></td>
         </tr>
        </table> 
	  <br/> 

 <xsl:apply-templates select="EnergyAccountReport/AccountTimeSeries" />
   </body>
  </html>
</xsl:template>

<xsl:template match="AccountTimeSeries">
<table  border="1" width="100%" cellpadding="5">
    <tr >
      <th>TS Id.</th>
	<th>Type</th>
	<th>Product</th>
	<th>Aggr.</th>
       <th>Area </th>
      <th>Party</th>
      <th>Agreement</th>
     <th>Unit</th>
     <th>Currency</th>
     <th>Accounting Point</th>
   </tr>
 <td align="center" style="font-size=8pt" bgcolor="yellow">
<xsl:value-of  select="SendersTimeSeriesIdentification/@v"/>
 </td><td align="center" style="font-size=8pt">
      	<xsl:choose>
		<xsl:when test="BusinessType[@v='A01']">
		Production
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A02']">
		Internal trade explicit capacity
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A03']">
		External trade 
		</xsl:when>
		<xsl:when test="BusinessType[@v='A04']">
		Consumption
		</xsl:when>
		<xsl:when test="BusinessType[@v='A05']">
		External trade total
		</xsl:when>
		<xsl:when test="BusinessType[@v='A06']">
		External trade unlimited capacity
		</xsl:when>
		<xsl:when test="BusinessType[@v='A07']">
		Net internal trade
		</xsl:when>
		<xsl:when test="BusinessType[@v='A08']">NET-IT</xsl:when>
		<xsl:when test="BusinessType[@v='A09']">IPP</xsl:when>
		<xsl:when test="BusinessType[@v='A10']">Tertry control</xsl:when>
		<xsl:when test="BusinessType[@v='A11']">Primary control</xsl:when>
		<xsl:when test="BusinessType[@v='A12']">Secondary control</xsl:when>
		<xsl:when test="BusinessType[@v='A13']">Load profile</xsl:when>
		<xsl:when test="BusinessType[@v='A14']">Aggregated energy data</xsl:when>
		<xsl:when test="BusinessType[@v='A15']">Losses</xsl:when>
		<xsl:when test="BusinessType[@v='A16']">Transits</xsl:when>
		<xsl:when test="BusinessType[@v='A17']">Settlement deviation</xsl:when>
		<xsl:when test="BusinessType[@v='A18']">Technical constraint deviation</xsl:when>
		<xsl:when test="BusinessType[@v='A19']">Balance energy deviation</xsl:when>
		<xsl:when test="BusinessType[@v='A20']">Imbalance volume</xsl:when>
		<xsl:when test="BusinessType[@v='A21']">Inadvertant deviation</xsl:when>
		<xsl:when test="BusinessType[@v='A22']">Frequency control</xsl:when>
		<xsl:when test="BusinessType[@v='A23']">Balance management</xsl:when>
		<xsl:when test="BusinessType[@v='Z01']">Z01 - RES production, own BG</xsl:when>
		<xsl:when test="BusinessType[@v='Z02']">Z02 - RES production, other BG</xsl:when>
		<xsl:when test="BusinessType[@v='Z03']">Z03 - HE-CHP production, own BG</xsl:when>
		<xsl:when test="BusinessType[@v='Z04']">Z04 - HE-CHP production, other BG</xsl:when>
		<xsl:when test="BusinessType[@v='Z05']">Z05 - Losses</xsl:when>
		<xsl:when test="BusinessType[@v='Z06']">Z06 - Self-consumption</xsl:when>
		<xsl:when test="BusinessType[@v='Z07']">Z07 - Measurement type C</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="BusinessType/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		 <xsl:when test="Product[@v='8716867000016']">
               Active Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000023']">
               Reactive Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000030']">
               Active Energy
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000047']">
               Reactive Energy
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="Product/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		<xsl:when test="ObjectAggregation[@v='A01']">
		AREA
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A02']">
		MP
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A03']">
		M-MP
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ObjectAggregation/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose>
</td> 
 <td align="center" style="font-size=8pt">
<xsl:value-of select="Area/@v"/>
</td>

<td align="center" style="font-size=8pt">
<xsl:value-of select="Party/@v"/>
</td>
<td align="center" style="font-size=8pt">
      <xsl:value-of select="AgreementIdentification/@v"/>
</td>
<td align="center" style="font-size=8pt">
<xsl:choose>
		<xsl:when test="MeasurementUnit[@v='MAW']">MW </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MWH']">MWH </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAH']">MWr </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAR']">MWHr</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="MeasurementUnit/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td>
<td align="center" style="font-size=8pt">
      <xsl:value-of select="Currency/@v"/>
</td>
<td align="center" style="font-size=8pt">
      <xsl:value-of select="AccountingPoint/@v"/>
</td>
</table>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Period Begin and End Date/Time</th>
<th width="25%">Resolution</th>
</tr>
</table>
<xsl:apply-templates  select="*"/>

</xsl:template> 		 

<xsl:template match="Period">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><xsl:value-of select="TimeInterval/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="Resolution/@v"/></td>
</tr>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Position</th>
<th width="25%">In Quantity</th>
<th width="25%">Out Quantity</th>
<th width="25%">Amount</th>
</tr>
</table>
<xsl:apply-templates  select="*"/>
</table>
</xsl:template>


<xsl:template match="AccountInterval">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><xsl:value-of select="Pos/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="InQty/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="OutQty/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="SettlementAmount/@v"/></td>
</tr>
</table>
</xsl:template>

</xsl:stylesheet>
